Topic: Can't get libxml-ruby (2.3.2) to install

Hey guys.  So I've been at this for hours and I just cant seem to get libxml-ruby (2.3.2) to install.  I'm using RailsInstaller for Windows (I have Vista), and when I try to bundle install from the command line, I get this: http://pastebin.com/izG5Xc2R

Any help would be really appreciated.

Last edited by icydash (2012-03-28 23:36:55)

Re: Can't get libxml-ruby (2.3.2) to install

The very first error complains that there is no sudo command on your system,  which makes sense because you are on windows.

I'm not sure what RailsInstaller is,  but if it's something that somehow emulates the unix environment, it's failing.

First thing I'd try is to just manually install the gem,  i.e.

gem install libxml-ruby

I had 2.2.2 (or maybe earlier) Installed on a Windows machine a while back,  so I know it can be installed on windows.  But I installed it on a Rails 2.3.8 project, and bundle wasn't around at the time.

Joe got a job, on the day shift, at the Utility Muffin Research Kitchen, arrogantly twisting the sterile canvas snout of a fully charged icing anointment utensil.